<?php 
// Register widgetized areas
function omago_wp_widgets_init() {

    register_sidebar( array (
		'name' => esc_html__( 'Home Sidebar (Right)', 'omago-wp' ),
		'id' => 'sidebarhome_omago_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the sidebar.', 'omago-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => '</div><div class="clear"></div><div class="line_widget_col"></div>',
		'before_title' => '<div class="widget-title"><h3>',
		'after_title' => '</h3></div><div class="clear"></div>',
	) );

    register_sidebar( array (
		'name' => esc_html__( 'Home Modules (Bottom)', 'omago-wp' ),
		'description' => esc_html__('Use only the widgets that start with the name "Module".', 'omago-wp'),
		'id' => 'homemodules_omago_wp',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '',
		'after_title' => '',
	) );

    register_sidebar( array (
		'name' => esc_html__( 'Main Sidebar (Right)', 'omago-wp' ),
		'id' => 'sidebarmain_omago_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the sidebar: article page / category / tag / author / search page, etc.', 'omago-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => '</div><div class="clear"></div><div class="line_widget_col"></div>',
		'before_title' => '<div class="widget-title"><h3>',
		'after_title' => '</h3></div><div class="clear"></div>',
	) );

    register_sidebar( array (
		'name' => esc_html__( 'Default Page Sidebar (Right)', 'omago-wp' ),
		'id' => 'sidebarpage_omago_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the sidebar.', 'omago-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => '</div><div class="clear"></div><div class="line_widget_col"></div>',
		'before_title' => '<div class="widget-title"><h3>',
		'after_title' => '</h3></div><div class="clear"></div>',
	) );


    register_sidebar( array (
		'name' => esc_html__( 'Footer Sidebar 1', 'omago-wp' ),
		'id' => 'footer1_omago_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the sidebar.', 'omago-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<div class="widget-title"><h3>',
		'after_title' => '</h3></div><div class="clear"></div>',
	) );

    register_sidebar( array (
		'name' => esc_html__( 'Footer Sidebar 2', 'omago-wp' ),
		'id' => 'footer2_omago_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the sidebar.', 'omago-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => "</div>",
		'before_title' => '<div class="widget-title"><h3>',
		'after_title' => '</h3></div><div class="clear"></div>',
	) );

    register_sidebar( array (
		'name' => esc_html__( 'Footer Sidebar 3', 'omago-wp' ),
		'id' => 'footer3_omago_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the sidebar.', 'omago-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => "</div>",
		'before_title' => '<div class="widget-title"><h3>',
		'after_title' => '</h3></div><div class="clear"></div>',
	) );

    register_sidebar( array (
		'name' => esc_html__( 'Footer Sidebar 4', 'omago-wp' ),
		'id' => 'footer4_omago_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the sidebar.', 'omago-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => "</div>",
		'before_title' => '<div class="widget-title"><h3>',
		'after_title' => '</h3></div><div class="clear"></div>',
	) );

}

add_action( 'init', 'omago_wp_widgets_init' );
?>