<?php
    // AD Area
    $omago_wp_adbottom = get_theme_mod('omago_wp_adbottom');

    // Display Banners (Yes/No)
    $omago_wp_display_banner_bottom = get_theme_mod('omago_wp_display_banner_bottom');
    if (empty($omago_wp_display_banner_bottom)) { $omago_wp_display_banner_bottom = 'No'; }  

    // Copyright
    $omago_wp_copyright = get_theme_mod('omago_wp_copyright'); 
?> 

<?php if ( is_page_template( 'template-half-page.php' ) ) { } else {  ?>
<?php if ($omago_wp_display_banner_bottom == 'Yes') { ?>
  <?php if (!empty($omago_wp_adbottom)) { ?>
    <div class="responsive-area">
        <span><?php echo stripslashes($omago_wp_adbottom); ?></span>
    </div>
<?php } } } ?> 

<!-- Begin Footer -->
<footer> 
    <div class="wrap">
         <div class="one_fourth">
            <?php if ( is_active_sidebar( 'footer1_omago_wp' ) ) { ?>
                <?php dynamic_sidebar( 'footer1_omago_wp' ); ?><!-- #1st footer -->
            <?php } ?>
        </div>
        <div class="one_fourth ndmargin">
            <?php if ( is_active_sidebar( 'footer2_omago_wp' ) ) { ?>
                <?php dynamic_sidebar( 'footer2_omago_wp' ); ?><!-- #2nd footer -->
            <?php } ?>
        </div>

        <div class="one_fourth ndmargin">
            <?php if ( is_active_sidebar( 'footer3_omago_wp' ) ) { ?>
                <?php dynamic_sidebar( 'footer3_omago_wp' ); ?><!-- #2nd footer -->
            <?php } ?>
        </div>

        <div class="one_fourth_last">
            <?php if ( is_active_sidebar( 'footer4_omago_wp' ) ) { ?>
                <?php dynamic_sidebar( 'footer4_omago_wp' ); ?><!-- #3rd footer -->
            <?php } ?>
        </div><div class="clear"></div> 

        <div class="footer-copyright">
            <?php if (!empty($omago_wp_copyright)) { ?>
              <?php echo wp_kses_post(stripslashes($omago_wp_copyright)); ?>
            <?php } else { ?>
              <?php esc_html_e( '2017 omagoNews. All rights reserved.', 'omago-wp' ); ?><br />
              <?php esc_html_e( 'Go to Theme Options > Footer Settings and add your Copyright text!', 'omago-wp' ); ?>
            <?php } ?>
        </div><!-- end .footer-copyright -->
        <div class="clear"></div>
    </div>

	<p id="back-top"><a href="#top"><span></span></a></p>
</footer><!-- end #footer -->
<div class="md-overlay"></div><!-- the overlay element for popup search -->

<!-- Footer Theme output -->
<?php wp_footer();?>
</body>
</html>